Subject: Re: Merging ppc32 and ppc64

From: Segher Boessenkool <[email-masked]>
Date: Tue, 9 Aug 2005 15:30:42 +0200

>>>> I don't see the merge as changing the actual code that gets executed
>>>> on any given platform very much, except in one respect: we are going
>>>> to standardize on a flattened device tree as the way that 
>>>> information
>>>> about the platform gets passed from the boot loader to the kernel.
>                          
> ^^^^^^^^^^^^^^^^^^^^^***********^^^^^^^^******^

Yes, and that is exactly what I do not want.  We are not going
to require OF implementations that do not need yaboot or similar
to pass a flattened device tree to the kernel, eh?  Also, there
is no reason why something like yaboot (with an OF still running
underneath) should have to care about anything device-tree related
at all; the OS can just as easily ask the OF itself.

Segher